## ros-kinetic-melfa-description 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(melfa_description)

find_package(catkin REQUIRED COMPONENTS
  rviz
  xacro
)

catkin_package()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(DIRECTORY launch mesh urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(status "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

=== debian/changelog ===
ros-kinetic-melfa-description (0.0.4-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 25 Feb 2019 15:00:00 -0000

ros-kinetic-melfa-description (0.0.2-0xenial) xenial; urgency=high

  * Add LICENSE and notification on source code(#18 <https://github.com/tork-a/melfa_robot/issues/18> )
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 15 Dec 2018 15:00:00 -0000

ros-kinetic-melfa-description (0.0.1-0xenial) xenial; urgency=high

  * Remove catkin_lint error from melfa_description
  * Add copyright holder of mesh files in README.md
  * Reorganize URDF for RV4FL to be re-usable
  * Add additional joints(#13 <https://github.com/tork-a/melfa_robot/issues/13>)
  * Organize rv7fl.urdf.xacro using xacro
  * Add use_joint7 and use_joint8 parameters
    - Remove dummy joints from rv7fl.urdf.xacro
  * Add RV4FL mesh data(#11 <https://github.com/tork-a/melfa_robot/issues/11>)
  * Add missing dependencies
  * Add mesh license and README.md
  * Modify the package meta files
  * Add mesh files for RV7FL
    - They are modified its origin, rotation in mesh
    - Scale are modified in URDF
  * Modify URDF to adopt the package structure
    - Add robot argument to specify target robot
  * Add RV4FL mesh data
  * Pull request for the first delivery(#5 <https://github.com/tork-a/melfa_robot/issues/5>)
  * Remove mesh related files from melfa_description
  * Add dummy joint7 and joint8 for actual robot
  * Add use_gui argument and default is false
  * Add URDF and mesh files (#1 <https://github.com/tork-a/melfa_robot/issues/1>)
  * Modify joint limits to fit the spec sheet
  * Fix mesh orientation, colors
  * Change driver to use melfa_description
  * Fix mesh size unit, urdf
  * Contributors: KazukiHiraizumi, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 13 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-melfa-description
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-rviz, ros-kinetic-xacro
Homepage: http://wiki.ros.org/melfa_description
Standards-Version: 3.9.2

Package: ros-kinetic-melfa-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-xacro
Description: The melfa_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-melfa-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
